* {
    margin: 0;
    padding: 0;
    font-family: Tajawal;
}

body {
    direction: rtl;
    font-size: 14px;
}

.container {
    max-width: 1200px;
}

@font-face {
    font-family: Tajawal;
    src: url('fonts/Tajawal500.ttf');
}

@font-face {
    font-family: Tajawal;
    src: url('fonts/Tajawal700.ttf');
    font-weight: bold;
}

.form-control, .btn {
    font-size: 14px;
}

a {
    color: #f0ad4e;
}


.redFont {
    color: red;
    font-size: 18px;
}


.indexLinks {
    color: #ff9d00;
    font-size: 16px;
    text-decoration: none;
}
.indexLinks:hover {
    color: #65a544;
    text-decoration: none;
}
.indexLinks:active {
    color: #ff9d00;
    text-decoration: none;
}

/* لإلغاء الإطار الخارجي للحقول عند التحديد عليها */
.form-control:focus {
  border-color: green;
  -webkit-box-shadow: none;
  box-shadow: none;
}

ul {
    list-style-type: disc;
}

li {
    margin-top: 7px;
}



.divider1 {
    margin: 0px;
    border-color: #efefef;
}

.divider2 {
    margin: 0px;
    border-color: #a0a0a0;
}



.GreenButton {
    background: #75c34c;
    border: none;
    padding-top: 7px;
    padding-bottom: 7px;
    padding-right: 10px;
    padding-left: 10px;
    color: #ffffff;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}
.GreenButton:hover {
    background: #65a544;
    transition-duration: 0.2s;
}
.GreenButton:active {
    background: #5b963d;
    transition-duration: 0.2s;
}
.GreenButton:disabled {
    background: #d4d4d4;
    transition-duration: 0.2s;
}


.YellowButton {
    background: #ffba00;
    border: none;
    padding-top: 7px;
    padding-bottom: 7px;
    padding-right: 10px;
    padding-left: 10px;
    color: #ffffff;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}
.YellowButton:hover {
    background: #f4b201;
    transition-duration: 0.2s;
}
.YellowButton:active {
    background: #e5a700;
    transition-duration: 0.2s;
}
.YellowButton:disabled {
    background: #d4d4d4;
    transition-duration: 0.2s;
}


.RedButton {
    background: #e30000;
    border: none;
    padding-top: 7px;
    padding-bottom: 7px;
    padding-right: 10px;
    padding-left: 10px;
    color: #ffffff;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}
.RedButton:hover {
    background: #ba0303;
    transition-duration: 0.2s;
}
.RedButton:active {
    background: #9b0000;
    transition-duration: 0.2s;
}
.RedButton:disabled {
    background: #d4d4d4;
    transition-duration: 0.2s;
}


.WhiteButton {
    background: #ffffff;
    border: 1px solid #d1d1d1;
    padding-top: 9px;
    padding-bottom: 5px;
    padding-right: 10px;
    padding-left: 10px;
    color: #898989;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}
.WhiteButton:hover {
    background: #efefef;
    transition-duration: 0.2s;
}
.WhiteButton:active {
    background: #e5e5e5;
    transition-duration: 0.2s;
}
.WhiteButton:disabled {
    background: #d4d4d4;
    transition-duration: 0.2s;
}


.ViewButton1 {
    width: 33%;
    background: #dddddd;
    border: none;
    padding-top: 7px;
    padding-bottom: 5px;
    padding-right: 10px;
    padding-left: 10px;
    cursor: pointer;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}
.ViewButton1:hover {
    background: #1f6733;
    color: #ffffff;
    transition-duration: 0.2s;
}


.ViewButton2 {
    width: 25%;
    background: #dddddd;
    border: none;
    padding-top: 5px;
    padding-bottom: 2px;
    padding-right: 10px;
    padding-left: 10px;
    cursor: pointer;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}
.ViewButton2:hover {
    background: #ef9301;
    transition-duration: 0.2s;
}


.SelectionButton {
    min-width: 80px;
    background: #ffffff;
    border: 1px solid #aaaaaa;
    margin: 10px;
    padding-top: 9px;
    padding-bottom: 5px;
    padding-right: 10px;
    padding-left: 10px;
    color: #656565;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}

.SelectionButtonActive {
    min-width: 80px;
    background: #5d9e3c;
    border: 1px solid #365625;
    margin: 10px;
    padding-top: 9px;
    padding-bottom: 5px;
    padding-right: 10px;
    padding-left: 10px;
    color: #ffffff;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}


.selectionInTheBar {
    width: 33%;
    background: #f5f5f5;
    border: none;
    padding-top: 7px;
    padding-bottom: 5px;
    padding-right: 10px;
    padding-left: 10px;
    cursor: pointer;
}
.selectionInTheBar:hover {
    background: #1f6733;
    color: #ffffff;
    transition-duration: 0.2s;
}


.planDescriptionList {
    margin-top: 6px;
}

.descriptionListIcon {
    width: 20px;
    margin-left: 3px;
}


.sliderBar::-webkit-scrollbar {
    width: 4px;
}
.sliderBar::-webkit-scrollbar-track {
    background-color: #6aa079;
}
.sliderBar::-webkit-scrollbar-thumb {
    background-color: #377749;
}



.sliderBar2::-webkit-scrollbar {
    width: 2px;
}
.sliderBar2::-webkit-scrollbar-track {
    background-color: #d0d0d0;
}
.sliderBar2::-webkit-scrollbar-thumb {
    background-color: #49814c;
}



/* قم بإخفاء القائمة الجانبية عندما يكون عرض الشاشة أقل من 900 بكسل */
@media screen and (max-width: 900px) {
    #sideLinksDiv {
        right: -250px;
    }
    #topBar_SmallScreen {
        display: block;
    }
    #topBar_LargeScreen {
        display: none;
    }
    #mainContent {
        margin-right: 0px;
    }
    #loadingIndicator {
        top: 70px;
    }
}

/* قم بإظهار القائمة الجانبية عندما يكون عرض الشاشة أكبر من 900 بكسل */
@media screen and (min-width: 901px) {
    #sideLinksDiv {
        right: 0px;
    }
    #topBar_SmallScreen {
        display: none;
    }
    #topBar_LargeScreen {
        display: block;
    }
    #mainContent {
        margin-right: 250px;
    }
    #loadingIndicator {
        top: 0px;
    }
}


.transition {
    transition: opacity 0.5s ease-in-out, height 0.5s ease-in-out;
    opacity: 1;
    height: auto;
}

.hidden {
    opacity: 0;
    height: 0;
}


/*لضبط حركة الفيسات عند الضغط عليها*/
.animatedImage {
    transition: transform 0.3s ease-out;
}



.moving-arrow
{
  animation: moveArrow 0.3s infinite alternate; /* تعديل المدة حسب الحاجة */
}

@keyframes moveArrow
{
  from {
    transform: translate(3px, 0);
  }
  to {
    transform: translate(18px, 0); /* تعديل حسب الحركة المطلوبة */
  }
}



.toggle.android {
    background-color: #e8e8e8;
    border: solid 1px #575757;
    border-radius: 10px;
}
.toggle.android .toggle-handle {
    background-color: #ffffff; /* لون الشريط الأبيض الافتراضي */
    border: solid 1px #575757;
    border-radius: 8px;
}
.toggle.androidDisabled {
    background-color: #8d8d8d;
    border: solid 1px #575757;
    border-radius: 10px;
}
.toggle.androidDisabled .toggle-handle {
    background-color: #ffffff; /* لون الشريط الأبيض الافتراضي */
    border: solid 1px #575757;
    border-radius: 8px;
}



.Shadow {
    box-shadow: 0px 0px 5px 1px #dbdbdb;
}

.Shadow2 {
    box-shadow: 0px 0px 5px 1px #a5a5a5;
}

.CurveBox {
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
}

.CurveBox5 {
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}

.CurveBox20 {
  -webkit-border-radius: 20px;
  -moz-border-radius: 20px;
  border-radius: 20px;
}


.CurveTopLeft5 {
  -webkit-border-top-left-radius: 5px;
  -moz-border-top-left-radius: 5px;
  border-top-left-radius: 5px;
}
.CurveTopRight5 {
  -webkit-border-top-right-radius: 5px;
  -moz-border-top-right-radius: 5px;
  border-top-right-radius: 5px;
}
.CurveBottomRight5 {
  -webkit-border-bottom-right-radius: 5px;
  -moz-border-bottom-right-radius: 5px;
  border-bottom-right-radius: 5px;
}
.CurveBottomLeft5 {
  -webkit-border-bottom-left-radius: 5px;
  -moz-border-bottom-left-radius: 5px;
  border-bottom-left-radius: 5px;
}


.CurveTopLeft10 {
  -webkit-border-top-left-radius: 10px;
  -moz-border-top-left-radius: 10px;
  border-top-left-radius: 10px;
}
.CurveTopRight10 {
  -webkit-border-top-right-radius: 10px;
  -moz-border-top-right-radius: 10px;
  border-top-right-radius: 10px;
}
.CurveBottomRight10 {
  -webkit-border-bottom-right-radius: 10px;
  -moz-border-bottom-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
.CurveBottomLeft10 {
  -webkit-border-bottom-left-radius: 10px;
  -moz-border-bottom-left-radius: 10px;
  border-bottom-left-radius: 10px;
}


.CurveTopLeft20 {
  -webkit-border-top-left-radius: 20px;
  -moz-border-top-left-radius: 20px;
  border-top-left-radius: 20px;
}
.CurveTopRight20 {
  -webkit-border-top-right-radius: 20px;
  -moz-border-top-right-radius: 20px;
  border-top-right-radius: 20px;
}
.CurveBottomRight20 {
  -webkit-border-bottom-right-radius: 20px;
  -moz-border-bottom-right-radius: 20px;
  border-bottom-right-radius: 20px;
}
.CurveBottomLeft20 {
  -webkit-border-bottom-left-radius: 20px;
  -moz-border-bottom-left-radius: 20px;
  border-bottom-left-radius: 20px;
}


.CurveTopLeft50 {
  -webkit-border-top-left-radius: 50px;
  -moz-border-top-left-radius: 50px;
  border-top-left-radius: 50px;
}
.CurveTopRight50 {
  -webkit-border-top-right-radius: 50px;
  -moz-border-top-right-radius: 50px;
  border-top-right-radius: 50px;
}
.CurveBottomRight50 {
  -webkit-border-bottom-right-radius: 50px;
  -moz-border-bottom-right-radius: 50px;
  border-bottom-right-radius: 50px;
}
.CurveBottomLeft50 {
  -webkit-border-bottom-left-radius: 50px;
  -moz-border-bottom-left-radius: 50px;
  border-bottom-left-radius: 50px;
}
